#
# Makefile  -  makefile for flash programming program
#
# Copyright (C) 2002-2007 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.9 2007/01/06 18:31:18 gkminix Exp $
#


# Subdirectory name of this module
MODNAME = makerom


# Include makefile configuration
include ../../make.config
include ../../make.rules


# Source and object files for the target system
SSRCS86 = flash.S86 misc.S86 amdchips.S86 intelchips.S86 \
		3c90xbc.S86 rtl8139.S86 i82595.S86 vt610x.S86 flashcard.S86
TARGET  = flash.b86


# Rules to generate the target system files
all:		$(TARGET)-$(GNU16BIT)

.PHONY:		$(TARGET)-gnu $(TARGET)-nognu

$(TARGET)-gnu:	$(TARGET)

$(TARGET)-nognu:

$(TARGET):	$(OBJS86)



clean:		clean-general

distclean:	clean

realclean:	distclean


